.app.sheet.macro-sheet {
	.lil-user-warning {
		padding: 0.5em;
		margin: 0;
	}

	.lil-user-access {
		list-style: none;
		padding: 0;
		margin: 0;
		display: inline-flex;
		gap: 3px;

		li {
			border: 1px solid black;
			background-color: rgba(0, 0, 0, 0.05);
			padding: 0 0.3em;
			border-radius: 0.5em;

			&.owner {
				background-color: #51d14633;
			}

			&.observer {
				background-color: #eda42a26;
			}
		}
	}
}

#macros-popout .lil-enhanced-macro-directory {
	img.thumbnail {
		flex: 0 32px;
		height: 32px;
		width: 32px;
	}

	.document-name {
		display: flex;
		flex-direction: column;
		align-self: center;

		a.macro-name,
		.lil-macro-details {
			line-height: 1;
		}

		.lil-macro-details {
			display: grid;
			grid-template-columns: 1fr 2fr 1fr 2fr;
			gap: 3px;

			font-size: var(--font-size-11, 8pt);
			font-style: italic;
			color: #a9a9a9;

			.author-name,
			.permission {
				color: #c9c5c5;
			}
		}

		a.macro-name {
			color: #e6f7ff;
			text-shadow: 3px black;
		}
	}
}
